import javax.tools.*;
import java.util.*;
import java.lang.Math.*;
import java.lang.*;
import java.io.*;
import javax.swing.*;
import jxl.*; 
import jxl.write.*;
import jxl.format.*;
import java.io.File;
import java.util.Hashtable;
import java.util.Enumeration;
import javax.swing.filechooser.*;
import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import java.text.*;
import java.util.Locale;

public class plot_from_excel
{


public static void plot_from_excel(String filename, String pagetitle,int x0,int y0,int nx,int ny)
{
double a[][]=excel.read_double_from_excel(filename,pagetitle,x0,y0,nx,ny);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, String pagetitle,String xy0,String xyn)
{
double a[][]=excel.read_double_from_excel(filename,pagetitle,xy0,xyn);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, String pagetitle,String xy0,int nx,int ny)
{
double a[][]=excel.read_double_from_excel( filename, pagetitle,xy0,nx,ny);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, int pageno,int x0,int y0,int nx,int ny)
{
double a[][]=excel.read_double_from_excel(filename,pageno,x0,y0,nx,ny);
Plot pp=new Plot(a);
pp.plot();}

public static void plot_from_excel(String filename, int pageno,int x0,int y0,int nx)
{
double a[][]=excel.read_double_from_excel(filename,pageno,x0,y0,nx);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, String pagetitle,int x0,int y0,int nx)
{
double a[][]=excel.read_double_from_excel(filename,pagetitle,x0,y0,nx);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, int pageno,String xy0,String xyn)
{
double a[][]=excel.read_double_from_excel(filename,pageno,xy0,xyn);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, int pageno,String xy0,int nx,int ny)
{
double a[][]=excel.read_double_from_excel(filename,pageno,xy0,nx,ny);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, int pageno,String xy0,int nx)
{
double a[][]=excel.read_double_from_excel(filename,pageno,xy0,nx);
Plot pp=new Plot(a);
pp.plot();
}

public static void plot_from_excel(String filename, String pagetitle,String xy0,int nx)
{
double a[][]=excel.read_double_from_excel(filename,pagetitle,xy0,nx);
Plot pp=new Plot(a);
pp.plot();
}

public static void main(String args[]) throws IOException
{
plot_from_excel("data1.xls",0,"B2","C21");
}   
}